#!/bin/sh

dir0=`dirname $0`
cd $dir0

prjname  = `basename $PWD`
mainutil = $prjname
specfile = $prjname.spec
manpage  = $prjname.man
tgzname  = `rpmquery --specfile -q --qf '%{NAME}-%{VERSION}\n' $specfile`.tar.gz
# tgzpath  = ~/RPM/SOURCES/$tgzname

tar c $mainutil $manpage $specfile mkrpms.sh | gzip > $tgzname

rpmbuild -ba --define "_sourcedir $PWD" $specfile

cd -

## EOF ##
